Package org.apache.ignite.client.events

## Class ConnectionDescription

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionDescription

    public class ConnectionDescription
    extends Object

### Constructor Summary

Constructors
`ConnectionDescription​(InetSocketAddress locAddr, InetSocketAddress rmtAddr, String protocol, UUID srvNodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable InetSocketAddress` `localAddress()` Gets local address of this connection.
`@Nullable String` `protocol()`
`@Nullable InetSocketAddress` `remoteAddress()` Gets address of remote peer of this connection.
`@Nullable UUID` `serverNodeId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionDescription

    public ConnectionDescription​(InetSocketAddress locAddr,
                                 InetSocketAddress rmtAddr,
                                 String protocol,
                                 UUID srvNodeId)

Parameters:
  `locAddr` - Local connection address.
  `rmtAddr` - Remote connection address.
  `protocol` - String representation of a connection protocol details.
  `srvNodeId` - Server node id.

### Method Detail

#### localAddress

    @Nullable
    public @Nullable InetSocketAddress localAddress()

Gets local address of this connection.

Returns:
  Local network address or `null` if non-socket communication is used.

#### remoteAddress

    @Nullable
    public @Nullable InetSocketAddress remoteAddress()

Gets address of remote peer of this connection.

Returns:
  Address of remote peer or `null` if non-socket communication is used.

#### serverNodeId

    @Nullable
    public @Nullable UUID serverNodeId()

Returns:
  Server node id.

#### protocol

    @Nullable
    public @Nullable String protocol()

Returns:
  String representation of connection protocol.